/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <stdbool.h>

#define     ADC_TO_mV       4600 / 4095

int                 V_offset = 0;
int                 A_offset = 0;

void read(){
    
    char        ch[50];
    int16_t     Vadc;
    int16_t     adc;
    int16_t     adc1;
    int16_t     Vadc1;
    
    while(1){

        while(!V_ADC_IsEndConversion(V_ADC_WAIT_FOR_RESULT));        
        adc = V_ADC_GetResult16();  
        Vadc = V_ADC_CountsTo_mVolts(adc);
        /*
        while(!ADC_IsEndConversion(ADC_WAIT_FOR_RESULT));        
        adc1 = ADC_GetResult16();  
        //Vadc1 = ADC_CountsTo_mVolts(adc1);
        Vadc1 = adc1 * 4520 / 4095;
        */
        LCD_I2C_clear();         
        sprintf(ch,"adc:%d",adc);
        LCD_I2C_setCursor(0, 0);
        LCD_I2C_print(ch);                  
        sprintf(ch,"Va:%d",Vadc);
        LCD_I2C_setCursor(0, 1);
        LCD_I2C_print(ch);

        sprintf(ch,"adc1:%d",adc1);
        LCD_I2C_setCursor(10, 0);
        LCD_I2C_print(ch);                  
        sprintf(ch,"Va1:%d",Vadc1);
        LCD_I2C_setCursor(10, 1);
        LCD_I2C_print(ch);        
        
        CyDelay(1000);
    }
}


int main(void)
{
    char    ch[50];
    float   vrms;
    float   irms;
    float   freq;
    float   pf;
    int     timeout;
    uint    status;
    bool    freqFlag = false;   
    bool    pfFlag = false;   
    
    float   Vm;
    float   Fm;
    int     i, ii;
    
    CyGlobalIntEnable; /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    V_ADC_Start();
    ADC_Start();
    I2C_Start();
    LCD_I2C_start();
    LCD_I2C_clear();
   
    
    for(;;)
    {
	    read();
		CyDelay(1000);    
    }
}

/* [] END OF FILE */

//4.85V     2.42V-DC